This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 180156 - Gimp crashes when closing a window
Gimp crashes when closing a window
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gail (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-06 07:17 EST by karsten fischer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-09 13:04:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Gimp-console output when started from console (10.15 KB, text/html)
2006-02-06 07:18 EST, karsten fischer
no flags Details
last 100 lines of strace gimp (10.52 KB, text/plain)
2006-02-06 07:28 EST, karsten fischer
no flags Details

  None (edit)
Description karsten fischer 2006-02-06 07:17:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.0.1) Gecko/20060202 Fedora/1.5.0.1-2 Firefox/1.5.0.1

Description of problem:
Whenever I try to close a gimp picture window it crashes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start gimp
2. Open a new drawing
3. Try to close it
  

Actual Results:  Gimp hangs indefinitely, have to kill it

Expected Results:  Window gets closed, gimp still alive

Additional info:
Comment 1 karsten fischer 2006-02-06 07:18:56 EST
Created attachment 124252 [details]
Gimp-console output when started from console
Comment 2 karsten fischer 2006-02-06 07:23:34 EST
Comment on attachment 124252 [details]
Gimp-console output when started from console

*** glibc detected *** gimp: free(): invalid pointer: 0x0825d55a ***
======= Backtrace: =========
/lib/libc.so.6[0xb99d88]
/lib/libc.so.6(__libc_free+0x79)[0xb9d28d]
/usr/lib/libglib-2.0.so.0(g_free+0x2d)[0x241c04]
/usr/lib/gtk-2.0/modules/libgail.so[0xef0cdb]
/usr/lib/libatk-1.0.so.0(atk_object_get_name+0x49)[0x4d9557d]
/usr/lib/gtk-2.0/modules/libatk-bridge.so[0x91775f]
/usr/lib/gtk-2.0/modules/libatk-bridge.so[0x917859]
/usr/lib/gtk-2.0/modules/libatk-bridge.so[0x91899b]
/usr/lib/libgobject-2.0.so.0[0x47d4cee]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x820)[0x47d6402]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee)[0x47d774f]
/usr/lib/gtk-2.0/modules/libgail.so[0xef14a9]
/usr/lib/gtk-2.0/modules/libgail.so[0xef1211]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__OBJECT+0x5d)[0x47d0a16]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11c)[0x47c3dbd]
/usr/lib/libgobject-2.0.so.0[0x47d4f88]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x820)[0x47d6402]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x47d66a5]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_remove+0xd3)[0x49ca100]
/usr/lib/libgtk-x11-2.0.so.0[0x4b3982b]
/usr/lib/libgobject-2.0.so.0(g_object_run_dispose+0x50)[0x47c6175]
/usr/lib/libgtk-x11-2.0.so.0(gtk_object_destroy+0x76)[0x4a6fe3e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_destroy+0x41)[0x4b399fd]
/usr/lib/libgtk-x11-2.0.so.0[0x4991524]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_foreach+0x65)[0x49c975e]
/usr/lib/libgtk-x11-2.0.so.0[0x49c9ffc]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x43)[0x47d08c8]
/usr/lib/libgobject-2.0.so.0[0x47c26a5]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x200)[0x47c3ea1]
/usr/lib/libgobject-2.0.so.0[0x47d572a]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x820)[0x47d6402]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x47d66a5]
/usr/lib/libgtk-x11-2.0.so.0[0x4a6ffa9]
/usr/lib/libgtk-x11-2.0.so.0[0x4b3984f]
/usr/lib/libgobject-2.0.so.0(g_object_run_dispose+0x50)[0x47c6175]
/usr/lib/libgtk-x11-2.0.so.0(gtk_object_destroy+0x76)[0x4a6fe3e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_destroy+0x41)[0x4b399fd]
/usr/lib/libgtk-x11-2.0.so.0[0x4a141d2]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_foreach+0x65)[0x49c975e]
/usr/lib/libgtk-x11-2.0.so.0[0x49c9ffc]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x43)[0x47d08c8]
/usr/lib/libgobject-2.0.so.0[0x47c26a5]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x200)[0x47c3ea1]
/usr/lib/libgobject-2.0.so.0[0x47d572a]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x820)[0x47d6402]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x47d66a5]
/usr/lib/libgtk-x11-2.0.so.0[0x4a6ffa9]
/usr/lib/libgtk-x11-2.0.so.0[0x4b3984f]
/usr/lib/libgobject-2.0.so.0(g_object_run_dispose+0x50)[0x47c6175]
/usr/lib/libgtk-x11-2.0.so.0(gtk_object_destroy+0x76)[0x4a6fe3e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_destroy+0x41)[0x4b399fd]
/usr/lib/libgtk-x11-2.0.so.0[0x4991524]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_foreach+0x65)[0x49c975e]
/usr/lib/libgtk-x11-2.0.so.0[0x49c9ffc]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x43)[0x47d08c8]
/usr/lib/libgobject-2.0.so.0[0x47c26a5]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x200)[0x47c3ea1]
/usr/lib/libgobject-2.0.so.0[0x47d572a]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x820)[0x47d6402]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x47d66a5]
/usr/lib/libgtk-x11-2.0.so.0[0x4a6ffa9]
/usr/lib/libgtk-x11-2.0.so.0[0x4b3984f]
/usr/lib/libgobject-2.0.so.0(g_object_run_dispose+0x50)[0x47c6175]
======= Memory map: ========
00101000-00167000 r-xp 00000000 fd:00 1045464	 /usr/lib/libfreetype.so.6.3.8
00167000-0016a000 rwxp 00066000 fd:00 1045464	 /usr/lib/libfreetype.so.6.3.8
0016c000-0018a000 r-xp 00000000 fd:00 162748	 /lib/libexpat.so.0.5.0
0018a000-0018c000 rwxp 0001e000 fd:00 162748	 /lib/libexpat.so.0.5.0
0018e000-00196000 r-xp 00000000 fd:00 1045387	 /usr/lib/libXrender.so.1.3.0
00196000-00197000 rwxp 00007000 fd:00 1045387	 /usr/lib/libXrender.so.1.3.0
00199000-001d0000 r-xp 00000000 fd:00 1304113	
/usr/lib/libfontconfig.so.1.0.4
001d0000-001d4000 rwxp 00036000 fd:00 1304113	
/usr/lib/libfontconfig.so.1.0.4
001d4000-001d5000 rwxp 001d4000 00:00 0
001d7000-001db000 r-xp 00000000 fd:00 1304490	 /usr/lib/libXfixes.so.3.0.0
001db000-001dc000 rwxp 00003000 fd:00 1304490	 /usr/lib/libXfixes.so.3.0.0
001de000-001e2000 r-xp 00000000 fd:00 1304618	
/usr/lib/libgimpmath-2.0.so.0.2 00.10
001e2000-001e3000 rwxp 00003000 fd:00 1304618	
/usr/lib/libgimpmath-2.0.so.0.2 00.10
001e5000-001ec000 r-xp 00000000 fd:00 1052072	
/usr/lib/libgimpthumb-2.0.so.0. 200.10
001ec000-001ed000 rwxp 00006000 fd:00 1052072	
/usr/lib/libgimpthumb-2.0.so.0. 200.10
001ed000-001f6000 r-xp 00000000 fd:00 168430	 /lib/libnss_files-2.3.90.so
001f6000-001f7000 r-xp 00008000 fd:00 168430	 /lib/libnss_files-2.3.90.so
001f7000-001f8000 rwxp 00009000 fd:00 168430	 /lib/libnss_files-2.3.90.so
001f8000-00200000 r-xp 00000000 fd:00 1045481	 /usr/lib/libSM.so.6.0.0
00200000-00201000 rwxp 00007000 fd:00 1045481	 /usr/lib/libSM.so.6.0.0
00201000-00203000 r-xp 00000000 fd:00 34258	
/usr/lib/pango/1.4.0/modules/pa ngo-basic-fc.so
00203000-00204000 rwxp 00002000 fd:00 34258	
/usr/lib/pango/1.4.0/modules/pa ngo-basic-fc.so
00205000-0020e000 r-xp 00000000 fd:00 1304491	 /usr/lib/libXcursor.so.1.0.2
0020e000-0020f000 rwxp 00008000 fd:00 1304491	 /usr/lib/libXcursor.so.1.0.2
00211000-00214000 r-xp 00000000 fd:00 1304489	 /usr/lib/libXrandr.so.2.0.0
00214000-00215000 rwxp 00002000 fd:00 1304489	 /usr/lib/libXrandr.so.2.0.0
00217000-002a5000 r-xp 00000000 fd:00 1044499	
/usr/lib/libglib-2.0.so.0.902.3
002a5000-002a6000 rwxp 0008d000 fd:00 1044499	
/usr/lib/libglib-2.0.so.0.902.3
002a6000-0039a000 r-xp 00000000 fd:00 1045128	 /usr/lib/libX11.so.6.2.0
0039a000-0039e000 rwxp 000f4000 fd:00 1045128	 /usr/lib/libX11.so.6.2.0
0039e000-003de000 r-xp 00000000 fd:00 1304580	 /usr/lib/libspi.so.0.10.7
003de000-003e7000 rwxp 00040000 fd:00 1304580	 /usr/lib/libspi.so.0.10.7
003e7000-003fe000 r-xp 00000000 fd:00 1045470	 /usr/lib/libICE.so.6.3.0
003fe000-003ff000 rwxp 00016000 fd:00 1045470	 /usr/lib/libICE.so.6.3.0
003ff000-00401000 rwxp 003ff000 00:00 0
00401000-00408000 r-xp 00000000 fd:00 1304511	 /usr/lib/libpopt.so.0.0.0
00408000-00409000 rwxp 00006000 fd:00 1304511	 /usr/lib/libpopt.so.0.0.0
00509000-00516000 r-xp 00000000 fd:00 1044905	
/usr/lib/libgimpbase-2.0.so.0.2 00.10
00516000-00517000 rwxp 0000d000 fd:00 1044905	
/usr/lib/libgimpbase-2.0.so.0.2 00.10
005a1000-005ec000 r-xp 00000000 fd:00 1304528	 /usr/lib/libORBit-2.so.0.1.0
005ec000-005f6000 rwxp 0004a000 fd:00 1304528	 /usr/lib/libORBit-2.so.0.1.0
005f8000-00601000 r-xp 00000000 fd:00 1044597	
/usr/lib/libgimpcolor-2.0.so.0. 200.10
00601000-00602000 rwxp 00008000 fd:00 1044597	
/usr/lib/libgimpcolor-2.0.so.0. 200.10
00616000-00628000 r-xp 00000000 fd:00 1304531	
/usr/lib/libbonobo-activation.s o.4.0.0
00628000-0062a000 rwxp 00012000 fd:00 1304531	
/usr/lib/libbonobo-activation.s o.4.0.0
006ff000-00756000 r-xp 00000000 fd:00 1304532	 /usr/lib/libbonobo-2.so.0.0.0
00756000-00760000 rwxp 00056000 fd:00 1304532	 /usr/lib/libbonobo-2.so.0.0.0
0076f000-00773000 r-xp 00000000 fd:00 1304530	
/usr/lib/libORBitCosNaming-2.so .0.1.0
00773000-00774000 rwxp 00004000 fd:00 1304530	
/usr/lib/libORBitCosNaming-2.so .0.1.0
00784000-00785000 r-xp 00000000 fd:00 1497415	 /usr/lib/gconv/ISO8859-1.so
00785000-00787000 rwxp 00000000 fd:00 1497415	 /usr/lib/gconv/ISO8859-1.so
00788000-00868000 r-xp 00000000 fd:00 1304495	
/usr/lib/libgimpwidgets-2.0.so. 0.200.10
00868000-0086b000 rwxp 000e0000 fd:00 1304495	
/usr/lib/libgimpwidgets-2.0.so. 0.200.10
0086d000-00871000 r-xp 00000000 fd:00 1304496	
/usr/lib/libgimpmodule-2.0.so.0 .200.10
00871000-00872000 rwxp 00003000 fd:00 1304496	
/usr/lib/libgimpmodule-2.0.so.0 .200.10
0088a000-0088e000 r-xp 00000000 fd:00 1304527	
/usr/lib/libgthread-2.0.so.0.90 2.3
0088e000-0088f000 rwxp 00003000 fd:00 1304527	
/usr/lib/libgthread-2.0.so.0.90 2.3
00915000-0091a000 r-xp 00000000 fd:00 65837	
/usr/lib/gtk-2.0/modules/libatk -bridge.so
0091a000-0091b000 rwxp 00004000 fd:00 65837	
/usr/lib/gtk-2.0/modules/libatk -bridge.so
00a1f000-00a24000 r-xp 00000000 fd:00 1304579	 /usr/lib/libXtst.so.6.1.0
00a24000-00a25000 rwxp 00004000 fd:00 1304579	 /usr/lib/libXtst.so.6.1.0
00ac5000-00acb000 r-xp 00000000 fd:00 1049107	 /usr/lib/libgailutil.so.17.0.6
00acb000-00acc000 rwxp 00005000 fd:00 1049107	 /usr/lib/libgailutil.so.17.0.6
00b19000-00b32000 r-xp 00000000 fd:00 162737	 /lib/ld-2.3.90.so
00b32000-00b33000 r-xp 00018000 fd:00 162737	 /lib/ld-2.3.90.so
00b33000-00b34000 rwxp 00019000 fd:00 162737	 /lib/ld-2.3.90.so
00b36000-00c59000 r-xp 00000000 fd:00 162743	 /lib/libc-2.3.90.so
00c59000-00c5c000 r-xp 00122000 fd:00 162743	 /lib/libc-2.3.90.so
00c5c000-00c5d000 rwxp 00125000 fd:00 162743	 /lib/libc-2.3.90.so
00c5d000-00c60000 rwxp 00c5d000 00:00 0
00c62000-00c85000 r-xp 00000000 fd:00 162744	 /lib/libm-2.3.90.so
00c85000-00c86000 r-xp 00022000 fd:00 162744	 /lib/libm-2.3.90.so
00c86000-00c87000 rwxp 00023000 fd:00 162744	 /lib/libm-2.3.90.so
00c89000-00c8b000 r-xp 00000000 fd:00 162747	 /lib/libdl-2.3.90.so
00c8b000-00c8c000 r-xp 00001000 fd:00 162747	 /lib/libdl-2.3.90.so
00c8c000-00c8d000 rwxp 00002000 fd:00 162747	 /lib/libdl-2.3.90.so
00c8f000-00ca1000 r-xp 00000000 fd:00 1045395	 /usr/lib/libz.so.1.2.3
00ca1000-00ca2000 rwxp 00011000 fd:00 1045395	 /usr/lib/libz.so.1.2.3
Comment 3 karsten fischer 2006-02-06 07:28:38 EST
Created attachment 124253 [details]
last 100 lines of strace gimp
Comment 4 Nils Philippsen 2006-02-06 10:15:11 EST
This looks like another one of those threading issues supposedly in GTK (judging
from the stack).
Comment 5 Matthias Clasen 2006-02-07 23:36:29 EST
I don't know of any supposed GTK+ threading issues, please explain.
Comment 6 Christopher Aillon 2006-02-08 10:58:50 EST
Workaround: disable accessibility.
Comment 7 Matthias Clasen 2006-02-08 11:57:51 EST
will be fixed in rawhide once I get a chance to rebuild the package. 
Patch is in place already.

Note You need to log in before you can comment on or make changes to this bug.